Bug 235586 - devel/py-twisted: Update to 18.9.0
Summary: devel/py-twisted: Update to 18.9.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Wen Heping
URL:
Keywords:
Depends on: 235585
Blocks: 236260
  Show dependency treegraph
 
Reported: 2019-02-07 21:19 UTC by Sascha Biberhofer
Modified: 2019-04-19 04:09 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
update devel/py-twisted to 18.7.0 (1.66 KB, patch)
2019-02-07 21:19 UTC, Sascha Biberhofer
no flags Details | Diff
update py-twisted to 18.9.0 (1.82 KB, patch)
2019-03-22 21:39 UTC, Sascha Biberhofer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sascha Biberhofer 2019-02-07 21:19:34 UTC
Created attachment 201825 [details]
update devel/py-twisted to 18.7.0

The version of twisted currently in ports is too old for some packages (such as py-matrix-synapse). I would like to update it to at least 18.7.0 (or 18.9.0, if we're daring enough). The attached patch is one proposed such update, which seems at least sufficient for the py-matrix-synapse tests to pass. The testsuit of twisted seems to be messy in my buildjail, so I'm not sure if the list of dependencies is complete for other basic functionality, which means that this probably needs some testing and feedback. :/

Cheers, 
Sascha

Remark: This update also depends on https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=235585
Comment 1 wen 2019-03-22 02:35:34 UTC
I suggest update to 18.9.0 because there is some run error with python-3.7 in 18.7.0 and there is more test errors in 18.7.0.
Comment 2 Sascha Biberhofer 2019-03-22 21:39:39 UTC
Created attachment 203053 [details]
update py-twisted to 18.9.0

I've changed the patch to update to 18.9.0. I've also added a missing dependency for the testsuite, however the testsuite still won't pass for me. py-matrix-synapse runs fine with this version of twisted and I would really like to get one of these versions commited. :(

Any input on this package?
Comment 3 commit-hook freebsd_committer 2019-03-24 23:49:53 UTC
A commit references this bug:

Author: wen
Date: Sun Mar 24 23:49:00 UTC 2019
New revision: 496786
URL: https://svnweb.freebsd.org/changeset/ports/496786

Log:
  - Update to 18.9.0
  - Update DEPENDS

  PR:		235586
  Submitted by:	ports@skyforge.at

Changes:
  head/devel/py-twisted/Makefile
  head/devel/py-twisted/distinfo
Comment 4 Steve Wills freebsd_committer 2019-04-18 20:05:28 UTC
Looks like this was done, closing.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-19 04:09:43 UTC
Assign to committer that resolved